StubSecondaryKeyGenerator (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.store.bdb.StubSecondaryKeyGenerator class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.store.bdb
Class StubSecondaryKeyGenerator

    java.lang.Object
      org.codehaus.activemq.store.bdb.StubSecondaryKeyGenerator

All Implemented Interfaces:
  com.sleepycat.je.SecondaryKeyCreator

public class StubSecondaryKeyGenerator
extends Object
implements com.sleepycat.je.SecondaryKeyCreator

Version:
  $Revision: 1.1 $

Field Summary
`(package private) long` | `counter`

Constructor Summary
`StubSecondaryKeyGenerator()`

Method Summary
`boolean` | `createSecondaryKey(com.sleepycat.je.SecondaryDatabase secondaryDatabase, com.sleepycat.je.DatabaseEntry keyEntry, com.sleepycat.je.DatabaseEntry valueEntry, com.sleepycat.je.DatabaseEntry resultEntry)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### counter

    long counter

Constructor Detail

### StubSecondaryKeyGenerator

    public StubSecondaryKeyGenerator()

Method Detail

### createSecondaryKey

    public boolean createSecondaryKey(com.sleepycat.je.SecondaryDatabase secondaryDatabase,
                                      com.sleepycat.je.DatabaseEntry keyEntry,
                                      com.sleepycat.je.DatabaseEntry valueEntry,
                                      com.sleepycat.je.DatabaseEntry resultEntry)
                               throws com.sleepycat.je.DatabaseException

  Specified by:
    `createSecondaryKey` in interface `com.sleepycat.je.SecondaryKeyCreator`
  Throws:
    `com.sleepycat.je.DatabaseException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.